WPILIB tools getting build errors after fresh install

So I’ve been trying to set up the new IDE for FRC 2019 using the installer off of the GitHub page, but every time I get the same error.
Error: Could not find or load main class org.gradle.wrapper.GradleWrapperMain
Caused by: java.lang.ClassNotFoundException: org.gradle.wrapper.GradleWrapperMain
I have tried making sure that all of the Gradle files are being installed and the file appears to be there when looking through the files but it can’t seem to find it.

In your created project, do you have a gradle-wrapper.jar in gradle/wrapper? That jar needs to be in the project. You created a project using the WPILib Create New Project command, right? Can you post a screenshot of your file tree in vscode?


There isn’t a jar file only a properties file.

Thats very bizzare. Had you pushed the project to git at all? Its weird that all the other files would be there, but not that one.

You can get another copy of that file here.
https://github.com/wpilibsuite/vscode-wpilib/blob/master/vscode-wpilib/resources/gradle/shared/gradle/wrapper/gradle-wrapper.jar

Just download that, and put it in that folder.

Thank you so much, that made everything work the way that it’s supposed to!!!